<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="decryptFile_twofish" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2011-01-12 14:30:00 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>decryptFile_twofish</refname>

    <refpurpose>Twofish file decryption</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>decryptFile_twofish(inputFile, sKey, cipherKey, mode, iv, outputFile)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>This function decrypts a file using the Twofish cipher. The key used by this cipher is the RSA decryption of "cipherKey".</para>

    <para>- "inputFile" is the file to decrypt</para><para>- "sKey" corresponds to the private key used by the RSA cipher</para><para>- "cipherKey" is decrypted thanks to the RSA cipher and is then used by the reverse Twofish cipher</para><para>- "mode" is an integer which correspond to a mode (enter "0" for ECB mode, "1" for CBC mode, "2" for OFB mode, "3" for CFB mode, "4" for CTR mode). If "mode" is replaced by "", the ECB mode will be used. No initialization vector is required for ECB mode (ie: enter ""). The mode used for decryption must identical to the one used for encryption.</para><para>- "iv" is the initialization vector</para><para>- "outputFile" is the name of the recovered file. If "outputFile" corresponds to "", the default name "recovered" will be used.</para>

    <para>The file "recovered" is created in the current directory.</para>
  </refsection>

  <refsection>
    <title>Examples</title>
    
    <programlisting role="example">
    keyGen_twofish("sampleKey", "sampleIV", "samplePublicKey", "samplePrivateKey")
    encryptFile_twofish("sampleKey", "samplePublicKey", "sampleKey", "0", "sampleIV", "encryptedKey")
    decryptFile_twofish("encryptedKey", "samplePrivateKey", "cipherKey", "0", "sampleIV", "recoveredKey");
    </programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Florent Lebeau</member>
    </simplelist>
  </refsection>
</refentry>

